ata_interrupt
Prev | Chapter 4. libata Library | Next

## Name

ata_interrupt — Default ATA host interrupt handler

## Synopsis

`irqreturn_t ata_interrupt (` | int | irq,
| void * | dev_instance`)`;

## Arguments

`irq`

  irq line (unused)

`dev_instance`

  pointer to our ata_host information structure

## Description

Default interrupt handler for PCI IDE devices. Calls `ata_host_intr` for each port that is not disabled.

## LOCKING

Obtains host lock during operation.

## RETURNS

IRQ_NONE or IRQ_HANDLED.

Prev | Up | Next
ata_host_intr | Home | sata_scr_valid